{#- For name header -#}
#ifndef {{ name|upper }}_LAYER_H
#define {{ name|upper }}_LAYER_H

{# For layer configuration -#}
#define {{ name|upper }}_M {{ inputs_dims[0][0] }}
#define {{ name|upper }}_K {{ inputs_dims[0][1] }}
#define {{ name|upper }}_N {{ inputs_dims[1][1] }}
#define {{ name|upper }}_ACTIVATION {{ activation }}
static const {{ rescaling }} {{ name|upper }}_RESCALING = {};

{#- Calculate sizes #}


#endif /* {{ name|upper }}_LAYER_H */
